Bug 3909 - kmix is utilising up to 50% CPU power over long time
: kmix is utilising up to 50% CPU power over long time
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: i586 Linux
: Normal Severity: normal
: ---
Assigned To: Colin Guthrie
:
:
:
: NEEDINFO, Triaged
:
:
  Show dependency treegraph
 
Reported: 2011-12-29 00:40 CET by diego w
Modified: 2015-03-28 20:45 CET (History)
6 users (show)

See Also:
Source RPM: kdemultimedia4-4.7.95-1.mga2.src.rpm
CVE:
Status comment:


Attachments

Description diego w 2011-12-29 00:40:53 CET
Description of problem:
Kmix uses around 50% CPU power on my ideapad U450 (intel SU4100) 

Version-Release number of selected component (if applicable):
kmix from kdemultimedia4-4.7.95-1.mga2.src.rpm

How reproducible:
I surfed with FF, run kopete, thunderbird, no audio, no video (at least not intentionally)
then I realised fan is spinning high and checked only to find kmix being the culprit. upon closing all running programs no change.

killing kmix and restarting (just via f2 "kmix" return) keeps the CPU use on 0%, also after playing a youtube video.

please let me know which additional info could be helpful.
I will monitor the behaviour in the next few days, so I could collect more data as requested, dmesg, lspci -v, lsusb -v can be uploaded if helpful.
Comment 1 Manuel Hiebel 2011-12-29 02:11:44 CET
Hi, thanks for reporting this bug.

iirc it's a known bug (I have seen some discuss on irc but I have followed it)
Comment 2 John Balcaen 2011-12-29 11:20:22 CET
It's indeed a know issue & it's on the coling « todolist » :)
Comment 3 diego w 2011-12-29 14:43:16 CET
ok

in that case
Comment 4 diego w 2011-12-29 14:45:48 CET
sorry i pressed something before i finished typing :)
i wanted to say let me know if i can provide you with anything else. 
but so far it didnt happen again, and everyone seems to be aware...
i guess that means fixing is on good tracks ;-)

cheers

diego
Comment 5 Colin Guthrie 2012-01-03 13:13:16 CET
Hi,

I pushed a few changes (by Christian) to our kmix package last night. Please let me know if it works better for you!

Col
Comment 6 diego w 2012-01-04 18:06:57 CET
Hi Colin,

since the update it didn't happen again... 
as this one is showing up only sporadically I suggest we leave the bug open for a few days, I will monitor behaviour for a while and will let you know.

is that ok with you?
Comment 7 diego w 2012-01-04 19:58:21 CET
I just had a crash after 6h30 uptime, while changing volume with the hardbuttons and the applets sliders, maybe it is connected to the new patches?
should I open a new bug for it?

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb56106d0 (LWP 4090))]

Thread 2 (Thread 0xa772eb70 (LWP 4223)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb61d6fee in poll () from /lib/i686/libc.so.6
#2  0xb5be603b in g_poll () from /lib/libglib-2.0.so.0
#3  0xb5bd85be in ?? () from /lib/libglib-2.0.so.0
#4  0xb5bd8711 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0xb6fad567 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb6f7e17d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb6f7e3c1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb6e813eb in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb6f5ed7d in ?? () from /usr/lib/libQtCore.so.4
#10 0xb6e842a3 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb6e0ea37 in start_thread () from /lib/i686/libpthread.so.0
#12 0xb61e198e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb56106d0 (LWP 4090)):
[KCrash Handler]
#7  0x53527475 in ?? ()
#8  0xb1a623dc in ?? () from /usr/lib/libkdeinit4_kmix.so
#9  0xb1a653d9 in ?? () from /usr/lib/libkdeinit4_kmix.so
#10 0xb6f8550d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#11 0xb6f94420 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#12 0xb6bb7645 in QAbstractSlider::valueChanged(int) () from /usr/lib/libQtGui.so.4
#13 0xb68b891b in QAbstractSlider::setValue(int) () from /usr/lib/libQtGui.so.4
#14 0xb68b8c10 in QAbstractSlider::triggerAction(QAbstractSlider::SliderAction) () from /usr/lib/libQtGui.so.4
#15 0xb68b8d7d in QAbstractSlider::setSliderPosition(int) () from /usr/lib/libQtGui.so.4
#16 0xb695eaa8 in QSlider::mouseMoveEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb64fbe2b in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb68b9473 in QAbstractSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#19 0xb695e4b0 in QSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb64a19f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb64a780b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0xb75d0b31 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0xb6f7f15e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#24 0xb64a29b0 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#25 0xb652ca9a in ?? () from /usr/lib/libQtGui.so.4
#26 0xb652af3e in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb6555ccc in ?? () from /usr/lib/libQtGui.so.4
#28 0xb5bd822a in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#29 0xb5bd8635 in ?? () from /lib/libglib-2.0.so.0
#30 0xb5bd8711 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#31 0xb6fad507 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0xb65558ca in ?? () from /usr/lib/libQtGui.so.4
#33 0xb6f7e17d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0xb6f7e3c1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0xb6f82b1a in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#36 0xb649f874 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#37 0xb1a4b34b in kdemain () from /usr/lib/libkdeinit4_kmix.so
#38 0x0804f8d2 in _start ()
Comment 8 Colin Guthrie 2012-01-04 21:25:43 CET
Yup, could be. I think John Balcaen will be pushing new KDE snapshot pretty soon, so maybe wait and reproduce the bug with that. Have you got the kmix (well kdemultimedia) debug packages installed, if not please do install them as it'll make the backtrace much more useful.
Comment 9 diego w 2012-01-04 21:38:53 CET
If I could reproduce it...
will goahead and install the debug now
Comment 10 diego w 2012-01-04 21:43:30 CET
something is strange with the URPMI GUI...taking way too long to list packages...
will try tomorrow :)
Comment 11 diego w 2012-01-05 21:48:29 CET
ok after installing the debug package i could provoke a crash with clicking always above and below the current volume, after a dozen or so clicks it segfaulted. hopefully the debug info helps. however im currently updating kde to 4.7.97-1.

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb54406d0 (LWP 4080))]

Thread 2 (Thread 0xa7563b70 (LWP 4187)):
#0  0xb5abbb40 in clock_gettime () from /lib/i686/librt.so.1
#1  0xb6d0b8d5 in ?? () from /usr/lib/libQtCore.so.4
#2  0xb6ddded6 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb6dde23a in ?? () from /usr/lib/libQtCore.so.4
#4  0xb6ddcad3 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb6ddcb6d in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5a07c9a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0xb5a084bf in ?? () from /lib/libglib-2.0.so.0
#8  0xb5a08711 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0xb6ddd567 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb6dae17d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb6dae3c1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0xb6cb13eb in QThread::exec() () from /usr/lib/libQtCore.so.4
#13 0xb6d8ed7d in ?? () from /usr/lib/libQtCore.so.4
#14 0xb6cb42a3 in ?? () from /usr/lib/libQtCore.so.4
#15 0xb6c3ea37 in start_thread () from /lib/i686/libpthread.so.0
#16 0xb601198e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb54406d0 (LWP 4080)):
[KCrash Handler]
#7  volrange (vol=19538, this=0x0) at /usr/src/debug/kdemultimedia-4.7.95/kmix/core/volume.cpp:217
#8  Volume::setAllVolumes (this=0x0, vol=19538) at /usr/src/debug/kdemultimedia-4.7.95/kmix/core/volume.cpp:113
#9  0xb1892399 in volumeChangeInternal (ref_sliders=..., vol=..., this=<optimized out>) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:872
#10 MDWSlider::volumeChangeInternal (this=0x8aa11d8, vol=..., ref_sliders=...) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:867
#11 0xb18923ef in MDWSlider::volumeChange (this=0x8aa11d8) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:862
#12 0xb18953d9 in MDWSlider::qt_metacall (this=0x8aa11d8, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfeff828) at /usr/src/debug/kdemultimedia-4.7.95/build/kmix/mdwslider.moc:121
#13 0xb6db550d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#14 0xb6dc4420 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0xb69e7645 in QAbstractSlider::valueChanged(int) () from /usr/lib/libQtGui.so.4
#16 0xb66e891b in QAbstractSlider::setValue(int) () from /usr/lib/libQtGui.so.4
#17 0xb66e8c10 in QAbstractSlider::triggerAction(QAbstractSlider::SliderAction) () from /usr/lib/libQtGui.so.4
#18 0xb678e934 in QSlider::mousePressEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#19 0xb632bdb3 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb66e9473 in QAbstractSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb678e4b0 in QSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#22 0xb62d19f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0xb62d780b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#24 0xb7400b31 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#25 0xb6daf15e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#26 0xb62d29b0 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#27 0xb635ca9a in ?? () from /usr/lib/libQtGui.so.4
#28 0xb635af3e in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#29 0xb6385ccc in ?? () from /usr/lib/libQtGui.so.4
#30 0xb5a0822a in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0xb5a08635 in ?? () from /lib/libglib-2.0.so.0
#32 0xb5a08711 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0xb6ddd507 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0xb63858ca in ?? () from /usr/lib/libQtGui.so.4
#35 0xb6dae17d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#36 0xb6dae3c1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#37 0xb6db2b1a in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#38 0xb62cf874 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#39 0xb187b34b in kdemain (argc=3, argv=0x881dea8) at /usr/src/debug/kdemultimedia-4.7.95/kmix/apps/main.cpp:76
#40 0x0804f8d2 in _start ()
Comment 12 diego w 2012-01-05 22:12:37 CET
dr konqi filed the same bug upstream...
https://bugs.kde.org/show_bug.cgi?id=290742
Comment 13 diego w 2012-02-24 17:03:32 CET
complete backtrace added (now with Qt and KDElibs debug symbols) as obtained from  kdemultimedia4-4.8.0-1.mga2.src.rpm

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb54266e0 (LWP 3961))]

Thread 2 (Thread 0xa75bbb70 (LWP 4091)):
#0  0xb5ac1b40 in clock_gettime () from /lib/i686/librt.so.1
#1  0xb6d7b015 in do_gettime (frac=0xa75bb040, sec=0xa75bb038) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb6e63436 in QTimerInfoList::updateCurrentTime (this=0xa6c02074) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb6e6379a in QTimerInfoList::timerWait (this=0xa6c02074, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb6e62023 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa75bb14c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb6e620bd in timerSourcePrepare (source=0xa6c02040, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb5a0d2ea in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb5a0db0f in ?? () from /lib/libglib-2.0.so.0
#9  0xb5a0dd61 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb6e62af7 in QEventDispatcherGlib::processEvents (this=0xa6c00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb6e2eccd in QEventLoop::processEvents (this=0xa75bb2d0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb6e2ef69 in QEventLoop::exec (this=0xa75bb2d0, flags=...) at kernel/qeventloop.cpp:204
#13 0xb6d196dc in QThread::exec (this=0x885d428) at thread/qthread.cpp:501
#14 0xb6e0c1dd in QInotifyFileSystemWatcherEngine::run (this=0x885d428) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6d1cbc0 in QThreadPrivate::start (arg=0x885d428) at thread/qthread_unix.cpp:298
#16 0xb6ca0a37 in start_thread () from /lib/i686/libpthread.so.0
#17 0xb603f98e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb54266e0 (LWP 3961)):
[KCrash Handler]
#7  0x00000000 in ?? ()
#8  0xb180eabc in MDWSlider::volumeChange (this=0x8855258) at /usr/src/debug/kdemultimedia-4.8.0/kmix/gui/mdwslider.cpp:854
#9  0xb18114b9 in qt_static_metacall (_a=0xbfaea9d8, _id=14, _o=0x8855258, _c=<optimized out>) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:98
#10 MDWSlider::qt_static_metacall (_o=0x8855258, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfaea9d8) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:78
#11 0xb6e467af in QMetaObject::activate (sender=0x8857308, m=0xb6c8d9e0, local_signal_index=0, argv=0xbfaea9d8) at kernel/qobject.cpp:3547
#12 0xb6a3cc65 in QAbstractSlider::valueChanged (this=0x8857308, _t1=32143) at .moc/release-shared/moc_qabstractslider.cpp:196
#13 0xb6733b75 in QAbstractSlider::setValue (this=0x8857308, value=32143) at widgets/qabstractslider.cpp:543
#14 0xb6733e70 in QAbstractSlider::triggerAction (this=0x8857308, action=QAbstractSlider::SliderPageStepSub) at widgets/qabstractslider.cpp:632
#15 0xb67db844 in QSlider::mousePressEvent (this=0x8857308, ev=0xbfaeb124) at widgets/qslider.cpp:480
#16 0xb636204b in QWidget::event (this=0x8857308, event=0xbfaeb124) at kernel/qwidget.cpp:8357
#17 0xb67346d3 in QAbstractSlider::event (this=0x8857308, e=0xbfaeb124) at widgets/qabstractslider.cpp:942
#18 0xb67db3c0 in QSlider::event (this=0x8857308, event=0xbfaeb124) at widgets/qslider.cpp:435
#19 0xb6307b04 in notify_helper (e=0xbfaeb124, receiver=0x8857308, this=0x8595bc0) at kernel/qapplication.cpp:4550
#20 QApplicationPrivate::notify_helper (this=0x8595bc0, receiver=0x8857308, e=0xbfaeb124) at kernel/qapplication.cpp:4522
#21 0xb630d93c in QApplication::notify (this=0x8595bc0, receiver=0x8857308, e=0xbfaeb124) at kernel/qapplication.cpp:4093
#22 0xb74a9741 in KApplication::notify (this=0x8589b68, receiver=0x8857308, event=0xbfaeb124) at /usr/src/debug/kdelibs-4.8.0/kdeui/kernel/kapplication.cpp:311
#23 0xb6e3015e in QCoreApplication::notifyInternal (this=0x8589b68, receiver=0x8857308, event=0xbfaeb124) at kernel/qcoreapplication.cpp:876
#24 0xb6308ac0 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#25 QApplicationPrivate::sendMouseEvent (receiver=0x8857308, event=0xbfaeb124, alienWidget=0x8857308, nativeWidget=0x888b148, buttonDown=0xb6c96cb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3161
#26 0xb63920ba in QETWidget::translateMouseEvent (this=0x888b148, event=0xbfaeb5dc) at kernel/qapplication_x11.cpp:4449
#27 0xb639054e in QApplication::x11ProcessEvent (this=0x8589b68, event=0xbfaeb5dc) at kernel/qapplication_x11.cpp:3641
#28 0xb63bb6ac in x11EventSourceDispatch (s=0x8597400, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#29 0xb5a0d87a in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#30 0xb5a0dc85 in ?? () from /lib/libglib-2.0.so.0
#31 0xb5a0dd61 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#32 0xb6e62a97 in QEventDispatcherGlib::processEvents (this=0x857be28, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#33 0xb63bb2aa in QGuiEventDispatcherGlib::processEvents (this=0x857be28, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#34 0xb6e2eccd in QEventLoop::processEvents (this=0xbfaeb8d4, flags=...) at kernel/qeventloop.cpp:149
#35 0xb6e2ef69 in QEventLoop::exec (this=0xbfaeb8d4, flags=...) at kernel/qeventloop.cpp:204
#36 0xb6e3416a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#37 0xb6305974 in QApplication::exec () at kernel/qapplication.cpp:3811
#38 0xb17f78bb in kdemain (argc=3, argv=0x8552908) at /usr/src/debug/kdemultimedia-4.8.0/kmix/apps/main.cpp:76
#39 0x0804f944 in launch (argc=3, _name=0x8552934 "kmix", args=<optimized out>, cwd=0x0, envc=0, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x8051f21 "0") at /usr/src/debug/kdelibs-4.8.0/kinit/kinit.cpp:734
#40 0x080509fc in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /usr/src/debug/kdelibs-4.8.0/kinit/kinit.cpp:1226
#41 0x08050f1f in handle_requests (waitForPid=<optimized out>) at /usr/src/debug/kdelibs-4.8.0/kinit/kinit.cpp:1419
#42 0x0804c0f8 in main (argc=) at /usr/src/debug/kdelibs-4.8.0/kinit/kinit.cpp:1907
Comment 14 diego w 2012-03-09 18:36:07 CET
since the last update the segfault is happening straight after the KDE desktop comes up (i opened thunderbird and firefox, while those were starting the crash happened)

version is: kdemultimedia4-4.8.1-1.mga2.src.rpm

the backtrace is below:

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb54256e0 (LWP 4526))]

Thread 2 (Thread 0xa751cb70 (LWP 4663)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6039fee in poll () from /lib/i686/libc.so.6
#2  0xb5a1f97b in g_poll () from /lib/libglib-2.0.so.0
#3  0xb5a11ede in ?? () from /lib/libglib-2.0.so.0
#4  0xb5a12031 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0xb6e67af7 in QEventDispatcherGlib::processEvents (this=0xa6c00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb6e33ccd in QEventLoop::processEvents (this=0xa751c2d0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb6e33f69 in QEventLoop::exec (this=0xa751c2d0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6d1e6dc in QThread::exec (this=0x917b278) at thread/qthread.cpp:501
#9  0xb6e111dd in QInotifyFileSystemWatcherEngine::run (this=0x917b278) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb6d21bc0 in QThreadPrivate::start (arg=0x917b278) at thread/qthread_unix.cpp:298
#11 0xb6ca5a37 in start_thread () from /lib/i686/libpthread.so.0
#12 0xb604498e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb54256e0 (LWP 4526)):
[KCrash Handler]
#7  0x00000000 in ?? ()
#8  0xb176e0c8 in MDWSlider::update (this=0x9375000) at /usr/src/debug/kdemultimedia-4.8.1/kmix/gui/mdwslider.cpp:1001
#9  0xb1768d83 in ViewDockAreaPopup::refreshVolumeLevels (this=0x936c130) at /usr/src/debug/kdemultimedia-4.8.1/kmix/gui/viewdockareapopup.cpp:168
#10 0xb1765ab3 in qt_static_metacall (_a=0xbfab3600, _id=3, _o=0x936c130, _c=<optimized out>) at /usr/src/debug/kdemultimedia-4.8.1/build/kmix/viewbase.moc:64
#11 ViewBase::qt_static_metacall (_o=0x936c130, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfab3600) at /usr/src/debug/kdemultimedia-4.8.1/build/kmix/viewbase.moc:55
#12 0xb6e4b7af in QMetaObject::activate (sender=0x9296248, m=0xb17a9d48, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3547
#13 0xb1788e15 in Mixer::controlChanged (this=0x9296248) at /usr/src/debug/kdemultimedia-4.8.1/build/kmix/mixer.moc:117
#14 0xb6e4b7af in QMetaObject::activate (sender=0x92962c0, m=0xb17a7c44, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#15 0xb173df85 in Mixer_Backend::controlChanged (this=0x92962c0) at /usr/src/debug/kdemultimedia-4.8.1/build/kmix/mixer_backend.moc:107
#16 0xb173e288 in Mixer_Backend::readSetFromHW (this=0x92962c0) at /usr/src/debug/kdemultimedia-4.8.1/kmix/backends/mixer_backend.cpp:155
#17 0xb174b23a in Mixer_PULSE::triggerUpdate (this=0x92962c0) at /usr/src/debug/kdemultimedia-4.8.1/kmix/backends/mixer_pulse.cpp:1286
#18 0xb174f595 in sink_cb (c=0x92a6980, i=0x0, eol=1) at /usr/src/debug/kdemultimedia-4.8.1/kmix/backends/mixer_pulse.cpp:191
#19 0xb1c80699 in context_get_sink_info_callback (pd=0x937e830, command=2, tag=12, t=0x92bd670, userdata=0x9288cb8) at pulse/introspect.c:272
#20 0xb1b3c71d in run_action (pd=0x937e830, r=0x92d8e08, command=2, ts=0x92bd670) at pulsecore/pdispatch.c:279
#21 0xb1b3cb20 in pa_pdispatch_run (pd=0x937e830, packet=0x9354dd8, creds=0x92b4b40, userdata=0x92a6980) at pulsecore/pdispatch.c:331
#22 0xb1c74a0d in pstream_packet_callback (p=0x92b4a78, packet=0x9354dd8, creds=0x92b4b40, userdata=0x92a6980) at pulse/context.c:335
#23 0xb1b42086 in do_read (p=0x92b4a78) at pulsecore/pstream.c:809
#24 do_something (p=0x92b4a78) at pulsecore/pstream.c:177
#25 0xb1b2c3f8 in callback (m=0x92327a4, e=0x92a6400, fd=11, f=3, userdata=0x91021d0) at pulsecore/iochannel.c:160
#26 0xb1c62afa in dispatch_func (source=0x9232770, callback=0, userdata=0x0) at pulse/glib-mainloop.c:584
#27 0xb5a11b4a in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0xb5a11f55 in ?? () from /lib/libglib-2.0.so.0
#29 0xb5a12031 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0xb6e67a97 in QEventDispatcherGlib::processEvents (this=0x90e8d70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#31 0xb63c02aa in QGuiEventDispatcherGlib::processEvents (this=0x90e8d70, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#32 0xb6e33ccd in QEventLoop::processEvents (this=0xbfab4124, flags=...) at kernel/qeventloop.cpp:149
#33 0xb6e33f69 in QEventLoop::exec (this=0xbfab4124, flags=...) at kernel/qeventloop.cpp:204
#34 0xb6e3916a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#35 0xb630a974 in QApplication::exec () at kernel/qapplication.cpp:3811
#36 0xb17578bb in kdemain (argc=3, argv=0x90eab38) at /usr/src/debug/kdemultimedia-4.8.1/kmix/apps/main.cpp:76
#37 0x0804f944 in launch (argc=3, _name=0x90d66c4 "/usr/bin/kmix", args=<optimized out>, cwd=0x0, envc=0, envs=<optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x8051ec3 "0") at /usr/src/debug/kdelibs-4.8.1/kinit/kinit.cpp:734
#38 0x080509fc in handle_launcher_request (sock=<optimized out>, who=<optimized out>) at /usr/src/debug/kdelibs-4.8.1/kinit/kinit.cpp:1226
#39 0x08050f1f in handle_requests (waitForPid=<optimized out>) at /usr/src/debug/kdelibs-4.8.1/kinit/kinit.cpp:1419
#40 0x0804c0f8 in main (argc=564736, argv=0x0, envp=0x0) at /usr/src/debug/kdelibs-4.8.1/kinit/kinit.cpp:1907
Comment 15 diego w 2012-03-13 14:38:08 CET
there is some movement on the KDE bugtracker, indicating a commit:

WebSVN link: http://websvn.kde.org/?view=rev&revision=1285261

https://bugs.kde.org/show_bug.cgi?id=290742#c17
Comment 16 Colin Guthrie 2012-03-13 15:15:25 CET
By itself, this commit will do nothing. Other parts need to be adapted to use it.

I'll liaise with Christian regarding this topic, but I'm not convinced it'll be ready for mga2. Fingers crossed.
Comment 17 diego w 2012-03-13 16:51:13 CET
definitely a fingers crossed issue...

right now the crash happens every single boot, with or without the tick mark set for the reset to saved volume. and definitely without my intervention (which would explain alot ;-)

thanks for liaising!

P.S. could we go back to a previous version for the release? or is this bug only triggered under certain configurations, HW/SW combinations and thus only affecting a relatively small group?

for me kmix is unusable atm :(
Comment 18 Colin Guthrie 2012-03-13 17:12:36 CET
FYI, the options to reset the saved volumes should do nothing when used with PulseAudio. I specifically ignore them as it's certainly not the job of kmix to do this. It should be all handled inside of PA, kmix does NOT know better here! Sadly there is no way to remove it from the UI.

If I'm honest, kmix is just too over engineered for a PA-based system dealing with all the different backends is not fun. It really needs a much more lightweight replacement, but I digress.

As for going back to the previous version, I'll certainly look into it. I have to agree that if it's not fixed in time, that seems like the best alternative option.
Comment 19 diego w 2012-03-13 21:55:44 CET
I completely agree with the lightweight altternative, maybe razor Qt will come up with something ( probably for mageia 3 or 4 ;-)
Comment 20 diego w 2012-03-14 23:00:25 CET
@colin

im wondering what stream is always active unless kmix is crashed and restarted... do you have a clue where it is coming from?

(see the screenshots attached to the kde bugtracker)

somehow i got the impression this phantom stream is triggering the problems
Comment 21 Colin Guthrie 2012-03-14 23:09:50 CET
In your case you've enabled Simultaneous output which creates a virtual playback device which then opens up a stream on each device that exists. WHen you only have one device, this is pretty much redundant!

As kmix doesn't filter these streams away it's quite visible (it won't show up by default in pavucontrol for example - the little combo/dropdown at the bottom right can be tweaked to show it).

Anyway, try firing up paprefs and unticking the option for Simultaneious output. That might help avoid the races in the mean time.
Comment 22 diego w 2012-03-14 23:46:34 CET
grrrr....

now im feeling stupid... im running after this annoying bug for such a long time and making you and christian@kde go nuts ;-)
and all is just because of a tick mark in pasetup...

well i am aware the problem is not solved but at least not visible after every boot.

now most of the bugs nagging me are "gone" as of today, now beware of me next i will realise how slow the boot process is or something similar ;-)

again thanks to you and all of you guys providing me with my favourite linux distribution
Comment 23 diego w 2012-04-20 18:12:23 CEST
kmix got rewritten and will be backported to 4.8.3, so with 4.8.3 it should be fixed via upstream.
Comment 24 Colin Guthrie 2012-04-21 12:58:25 CEST
This is already in our latest kdemultimedia actually. I spoke to Kristian about it and told him what I did to backport the patch to the 4.8 branch. The only hold up upstream is really due to the git conversion which was a little bit held up.
Comment 25 Marja van Waes 2012-05-26 13:09:15 CEST
Hi,

This bug was filed against cauldron, but we do not have cauldron at the moment.

Please report whether this bug is still valid for Mageia 2.

Thanks :)

Cheers,
marja
Comment 26 Nic Baxter 2015-02-14 01:12:31 CET
Still valid? Close?
Comment 27 Marja van Waes 2015-03-28 20:45:02 CET
(In reply to Nic Baxter from comment #26)
> Still valid? Close?

Going by comment 23 and 24 this was fixed years ago :-)

Note You need to log in before you can comment on or make changes to this bug.